Subject: bug#48724: Code collapsing and outline headings for elisp

From: Juri Linkov <[email-masked]>
Date: Wed, 02 Jun 2021 23:54:04 +0300

> Have been discussing all this together with Protesilaos Stavrou.  Could you have a read
> to see if we actually got to something?

Thank you for sending this mail.

>> I suggest we bring this issue upstream.  Ask them whether the
>> defvar,defun etc. can retain their styles and only for explicit headings
>> to be fontified.

Like in bug#48777, the solution is to use

(setq outline-minor-mode-highlight 'append)

But what is important, to make outline headings readable
while retaining major-mode fontification is what I did
in the init file, and what I highly recommend to you is
to customize outline faces, and to turn their foreground
colors into background colors, so it looks nicely like this: